## packagekit 0.8.16

=== debian/changelog ===
packagekit (0.8.16-1) unstable; urgency=low

  * New upstream release: 0.8.16
    - Adds missing annotations to DBus spec,
      which closes: #735812
    - Increases aptcc notification timeout, which likely
      closes: #688428
    - Verious other improvements and bugfixes
  * Bump standards version: No change needed
  * Drop patches: Applied upstream
  * Update symbols file

 -- Matthias Klumpp <mak@debian.org>  Tue, 21 Jan 2014 21:04:48 +0100

packagekit (0.8.14-2) unstable; urgency=low

  * Explicitly set systemd unit dir (Closes: #731556)
  * 03_syslog-nodebug.patch: Don't send debug messages to syslog
    by default (Closes: #731569)
  * Fix build on kFreeBSD/Hurd (Closes: #731680)

 -- Matthias Klumpp <mak@debian.org>  Sun, 08 Dec 2013 21:46:28 +0100

packagekit (0.8.14-1) unstable; urgency=low

  * New upstream release: 0.8.14
    - This release brings lots of speed improvements
    - Please note that some features have been removed from
      PackageKit.
      You can find information about removed features at
      http://lists.freedesktop.org/archives/packagekit/2013-December/026185.html
  * Adjust default configuration and vendor information
  * Update symbols file
  * 01_pkpackage-noassert.patch: Make PkPackage reusable again, fixes GPK crash
  * 02_new-cve-format.patch: Update CVE RegEx to new CVE format
  * Clean up build dependencies

 -- Matthias Klumpp <mak@debian.org>  Wed, 04 Dec 2013 18:04:32 +0100
