=== debian/control ===
Source: packagekit
Section: admin
Priority: optional
Maintainer: Matthias Klumpp <mak@debian.org>
Uploaders: Julian Andres Klode <jak@debian.org>
Vcs-Git: git://anonscm.debian.org/pkg-packagekit/packagekit.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-packagekit/packagekit.git
Build-Depends: bash-completion,
               debhelper (>= 9.0.0),
               dh-autoreconf (>= 4),
               docbook-utils,
               gir1.2-glib-2.0 (>= 0.10.1),
               gobject-introspection (>= 0.10.1),
               gtk-doc-tools,
               libapt-pkg-dev (>= 0.8.14),
               libarchive-dev,
               libgirepository1.0-dev (>= 0.10.1),
               libglib2.0-dev (>= 2.36),
               libgstreamer-plugins-base0.10-dev,
               libgtk-3-dev (>= 3.2),
               libgtk2.0-dev (>= 2.24),
               libnm-glib-dev [linux-any],
               libnspr4-dev (>= 4.8.6),
               libpolkit-gobject-1-dev,
               libsqlite3-dev,
               libsystemd-journal-dev (>= 204) [linux-any],
               libsystemd-login-dev (>= 204) [linux-any],
               libtool,
               libxt-dev,
               network-manager-dev [linux-any],
               policykit-1,
               python3 (>= 3.2),
               xmlto,
               xulrunner-dev (>= 8.0) | firefox-dev (>= 8.0)
Standards-Version: 3.9.5
Homepage: http://www.packagekit.org

Package: packagekit
Architecture: any
Multi-Arch: foreign
Depends: libglib2.0-bin,
         libpackagekit-glib2-16 (= ${binary:Version}),
         packagekit-backend-aptcc (= ${binary:Version}),
         policykit-1,
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: libpackagekit-glib2-14 (<= 0.7.6-4),
        libpackagekit-qt2-2 (<= 0.7.6-4),
        packagekit-backend-apt (<< ${binary:Version}),
        packagekit-backend-aptcc (<< ${binary:Version}),
        packagekit-backend-smart (<< ${binary:Version}),
        packagekit-offline-update (<< ${binary:Version})
Suggests: packagekit-backend-smart
Recommends: packagekit-tools
Description: Provides a package management service
 PackageKit allows performing simple software management tasks over a DBus
 interface e.g. refreshing the cache, updating, installing and removing
 software packages or searching for multimedia codecs and file handlers.
 .
 The work is done by backends which make use of the package manager shipped by
 the corresponding distribution. PackageKit is not meant to replace
 advanced tools like Synaptic.
 .
 The main benefits are:
  - unified interface on several distributions
  - fine grained privileges by using PolicyKit
  - independency from a running desktop session during the processing

Package: packagekit-tools
Architecture: any
Section: libs
Multi-Arch: foreign
Depends: packagekit (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Provides PackageKit command-line tools
 PackageKit allows performing simple software management tasks over a DBus
 interface e.g. refreshing the cache, updating, installing and removing
 software packages or searching for multimedia codecs and file handlers.
 .
 This package provides the PackageKit command-line tools.

Package: packagekit-docs
Architecture: all
Section: doc
Depends: ${misc:Depends}
Description: Documentation for PackageKit
 PackageKit allows performing simple software management tasks over a DBus
 interface e.g. refreshing the cache, updating, installing and removing
 software packages or searching for multimedia codecs and file handlers.
 .
 This package provides documentation for PackageKit.

Package: libpackagekit-glib2-16
Architecture: any
Section: libs
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends},
         ${shlibs:Depends}
Recommends: packagekit (= ${binary:Version})
Description: Library for accessing PackageKit using GLib
 PackageKit allows performing simple software management tasks over a DBus
 interface e.g. refreshing the cache, updating, installing and removing
 software packages or searching for multimedia codecs and file handlers.
 .
 This package provides an advanced library to access PackageKit using GLib.
 It makes use of only async D-Bus calls and provides high level tasks which
 peform the "transaction dance".

Package: libpackagekit-glib2-dev
Section: libdevel
Architecture: any
Depends: libdbus-1-dev,
         libglib2.0-dev (>= 2.24),
         libpackagekit-glib2-16 (= ${binary:Version}),
         libsqlite3-dev,
         ${misc:Depends}
Description: Library for accessing PackageKit using GLib (development files)
 PackageKit allows performing simple software management tasks over a DBus
 interface e.g. refreshing the cache, updating, installing and removing
 software packages or searching for multimedia codecs and file handlers.
 .
 This package provides an advanced library to access PackageKit using GLib.
 It makes use of only async D-Bus calls and provides high level tasks which
 peform the "transaction dance".
 .
 This package provides the header files and documentation for the advanced
 PackageKit library based on GLib. It makes use of only async D-Bus calls
 and provides high level tasks which peform the "transaction dance".

Package: gir1.2-packagekitglib-1.0
Section: introspection
Architecture: any
Depends: ${gir:Depends},
         ${misc:Depends}
Description: GObject introspection data for the PackageKit GLib library
 PackageKit allows performing simple software management tasks over a DBus
 interface e.g. refreshing the cache, updating, installing and removing
 software packages or searching for multimedia codecs and file handlers.
 .
 This package contains introspection data for the PackageKit
 GLib interface library.
 .
 It can be used by packages using the GIRepository format to generate
 dynamic bindings.

Package: packagekit-gtk3-module
Architecture: any
Section: libs
Depends: ${misc:Depends},
         ${shlibs:Depends}
Breaks: gnome-packagekit (<< 3.2.1-1)
Description: Install fonts automatically using PackageKit
 PackageKit allows performing simple software management tasks over a DBus
 interface e.g. refreshing the cache, updating, installing and removing
 software packages or searching for multimedia codecs and file handlers.
 .
 The PackageKit GTK+ module allows any Pango application to install
 fonts from configured repositories using PackageKit.

Package: gstreamer0.10-packagekit
Architecture: any
Section: libs
Depends: packagekit (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: gnome-packagekit | apper
Description: GStreamer plugin to install codecs using PackageKit
 PackageKit allows performing simple software management tasks over a DBus
 interface e.g refreshing the cache, updating, installing and removing
 software packages or searching for multimedia codecs and file handlers.
 .
 This package provides a plugin for the GStreamer multimedia framework
 to search and to install audio and video codecs.

Package: browser-plugin-packagekit
Architecture: any
Section: web
Depends: packagekit (= ${binary:Version}),
         ${dist:Browser},
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: gnome-packagekit | apper
Conflicts: mozilla-packagekit
Replaces: mozilla-packagekit
Description: Plugin to install missing plugins using PackageKit
 PackageKit allows performing simple software management tasks over a DBus
 interface e.g refreshing the cache, updating, installing and removing
 software packages or searching for multimedia codecs and file handlers.
 .
 This package provides a browser plugin.

Package: python3-packagekit
Architecture: all
Section: python
Depends: python3-dbus,
         ${misc:Depends},
         ${python3:Depends}
Recommends: packagekit
Description: PackageKit backend Python bindings
 PackageKit allows performing simple software management tasks over a DBus
 interface e.g refreshing the cache, updating, installing and removing
 software packages or searching for multimedia codecs and file handlers.
 .
 This package provides PackageKit Python bindings which are still needed
 by some PackageKit backends written in Python.
 If you want to use PackageKit from Python and don't write a backend, please
 use the GIRepository instead.

Package: packagekit-backend-aptcc
Architecture: any
Depends: gdebi-core (>= 0.8.2),
         python,
         python3-packagekit (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
XB-Python-Version: ${python:Versions}
Recommends: packagekit (= ${binary:Version})
Suggests: apt-xapian-index
Description: APT backend for PackageKit
 PackageKit allows performing simple software management tasks over a DBus
 interface e.g. refreshing the cache, updating, installing and removing
 software packages or searching for multimedia codecs and file handlers.
 .
 This package allows using APT over a C++-based PackageKit backend to
 target systems with low memory.
 APT is the default package management tool of Debian and Ubuntu.

Package: packagekit-backend-smart
Architecture: any
Depends: packagekit (= ${binary:Version}),
         python,
         python3-packagekit (= ${source:Version}),
         smartpm-core,
         ${misc:Depends},
         ${shlibs:Depends}
XB-Python-Version: ${python:Versions}
Description: Smart backend for PackageKit
 PackageKit allows performing simple software management tasks over a DBus
 interface  e.g. refreshing the cache, updating, installing and removing
 software packages or searching for multimedia codecs and file handlers.
 .
 This package allows using the smart package manager.

Package: packagekit-dbg
Architecture: any
Section: debug
Priority: extra
Depends: packagekit (= ${binary:Version}),
         ${misc:Depends}
Description: Debugging symbols for PackageKit
 This package includes debugging symbols for PackageKit
 libraries, backends and command-line tools.
 PackageKit is a package management abstraction layer which
 allows performing simple software management tasks over a DBus
 interface
 .
 Most people will not need this package.
