## packagekit 0.8.17

=== debian/changelog ===
packagekit (0.8.17-4ubuntu6~gcc5.4ubuntu1) xenial; urgency=high

  * Cherrypick
    https://github.com/hughsie/PackageKit/commit/30bfee4d41944bbfbd7a40c7f3fa1004fc6effa9
    to fix FTBFS with apt 1.1.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 09 Dec 2015 18:02:41 +0000

packagekit (0.8.17-4ubuntu6~gcc5.4) xenial; urgency=high

  * No change rebuild against libapt-pkg5.0 / libapt-inst2.0

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 09 Dec 2015 17:09:25 +0000

packagekit (0.8.17-4ubuntu6~gcc5.3) wily; urgency=medium

  * No-change rebuild against libapt-pkg4.16

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 05 Oct 2015 16:35:12 +0200

packagekit (0.8.17-4ubuntu6~gcc5.2) wily; urgency=medium

  * Rebuild for apt transition.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 20 Jul 2015 16:57:06 +0200

packagekit (0.8.17-4ubuntu6~gcc5.1) wily; urgency=medium

  * No-change test rebuild for g++5 ABI transition

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 17 Jul 2015 22:21:58 +0000

packagekit (0.8.17-4ubuntu5) wily; urgency=medium

  * Build-depend on libsystemd only, instead of the deprecated libsystemd-*
    libs. Backported 02_libsystemd-only.patch from Debian and adjusted to this
    old version.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 17 Jul 2015 07:09:12 +0200

packagekit (0.8.17-4ubuntu4) vivid; urgency=medium

  * No-change rebuild against libsystemd0.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 26 Jan 2015 15:26:46 +0100

packagekit (0.8.17-4ubuntu3) utopic; urgency=medium

  * Link aptcc against -lutil for forkpty (LP: #1368246).

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 11 Sep 2014 18:06:34 +0100

packagekit (0.8.17-4ubuntu2) utopic; urgency=low

  * debian/patches/git57c504e.diff
    - backport --allow-untrusted option from upstream git #57c504e
      (LP: #1360582)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 27 Aug 2014 07:52:34 -0700

packagekit (0.8.17-4ubuntu1) utopic; urgency=low

  * Merge with Debian unstable. Remaining changes:
    + Client tools alternatively depend on or recommend aptdaemon's
      compatibility layer
    + packagekit provides the virtual packagekit-system-interface
    + Allow beta versions of firefox-dev >= 30, remove iceweasel-dev.
    + Add break on packagekit-plugin-click <= 0.3
    + Temporarily disable browser plugin on ppc64el, to help with
      bootstrapping this new architecture.
    + Drop using ubuntu.series.

 -- Iain Lane <iain@orangesquash.org.uk>  Thu, 19 Jun 2014 17:29:52 +0100

packagekit (0.8.17-4) unstable; urgency=medium

  * Tighten dependency on iceweasel-dev
  * aptcc-python3.patch: Use Python3 for aptcc upgrade helper
  * link-gstreamer1.0.patch: Link against GStreamer 1.0 by default
  * Build GStreamer 1.0 plugin by default, drop 0.10 plugin

 -- Matthias Klumpp <mak@debian.org>  Sat, 14 Jun 2014 14:10:16 +0200

packagekit (0.8.17-3) unstable; urgency=medium

  * Don't ship transactions.db (Closes: #746327)
  * tdb-permissions.patch: Update permissions on the transactions db
  * Replace xulrunner-dev build-dep with dependency on iceweasel-dev

 -- Matthias Klumpp <mak@debian.org>  Sat, 14 Jun 2014 12:34:04 +0200

packagekit (0.8.17-2ubuntu1) utopic; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    + Client tools alternatively depend on or recommend aptdaemon's
      compatibility layer
    + packagekit provides the virtual packagekit-system-interface
    + Add break on packagekit-plugin-click <= 0.3
    + Fix default url in vendor-ubuntu.diff
    + Temporarily disable browser plugin on arm64 & ppc64el, to help with
      bootstrapping this new architecture.
    + Link against gstreamer1.0, instead of gstreamer0.10 since almost  
    + Change p-b-aptcc backend helper shebang from python2 to python3.
    + Drop using ubuntu.series.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Fri, 23 May 2014 19:23:25 +0100

packagekit (0.8.17-2) unstable; urgency=low

  * Fix default changelog URL (Closes: #739172)
  * Update debian/watch file

 -- Matthias Klumpp <mak@debian.org>  Thu, 10 Apr 2014 18:54:04 +0200

packagekit (0.8.17-1) unstable; urgency=low

  * New upstream release: 0.8.17
    - Lots of small enhancements and bugfixes
    - Contains fix for changelog-fetching (Closes: #739172)
  * Ship transactions.db file by default (Closes: #737556)

 -- Matthias Klumpp <mak@debian.org>  Wed, 26 Mar 2014 16:56:24 +0100
