=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: packagekit
 Section: admin
 Priority: optional
-Maintainer: Matthias Klumpp <mak@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Matthias Klumpp <matthias@tenstral.net>
 Uploaders: Julian Andres Klode <jak@debian.org>
 Vcs-Git: git://anonscm.debian.org/pkg-packagekit/packagekit.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-packagekit/packagekit.git
@@ -9,29 +10,28 @@
                debhelper (>= 9.0.0),
                dh-autoreconf (>= 4),
                docbook-utils,
-               gir1.2-glib-2.0 (>= 0.10.1),
-               gobject-introspection (>= 0.10.1),
+               gir1.2-glib-2.0 (>= 1.36),
+               gobject-introspection (>= 1.36),
                gtk-doc-tools,
+               firefox-dev (>= 30.0~) [!ppc64el],
                libapt-pkg-dev (>= 0.8.14),
                libarchive-dev,
-               libgirepository1.0-dev (>= 0.10.1),
+               libgirepository1.0-dev (>= 1.36),
                libglib2.0-dev (>= 2.36),
-               libgstreamer-plugins-base0.10-dev,
+               libgstreamer-plugins-base1.0-dev,
                libgtk-3-dev (>= 3.2),
                libgtk2.0-dev (>= 2.24),
                libnm-glib-dev [linux-any],
                libnspr4-dev (>= 4.8.6),
                libpolkit-gobject-1-dev,
                libsqlite3-dev,
-               libsystemd-journal-dev (>= 204) [linux-any],
-               libsystemd-login-dev (>= 204) [linux-any],
+               libsystemd-dev (>= 214) [linux-any],
                libtool,
                libxt-dev,
                network-manager-dev [linux-any],
                policykit-1,
                python3 (>= 3.2),
-               xmlto,
-               xulrunner-dev (>= 8.0) | firefox-dev (>= 8.0)
+               xmlto
 Standards-Version: 3.9.5
 Homepage: http://www.packagekit.org
 
@@ -49,7 +49,9 @@
         packagekit-backend-apt (<< ${binary:Version}),
         packagekit-backend-aptcc (<< ${binary:Version}),
         packagekit-backend-smart (<< ${binary:Version}),
-        packagekit-offline-update (<< ${binary:Version})
+        packagekit-offline-update (<< ${binary:Version}),
+        packagekit-plugin-click (<= 0.3.1)
+Provides: packagekit-system-interface
 Suggests: packagekit-backend-smart
 Recommends: packagekit-tools
 Description: Provides a package management service
@@ -70,7 +72,7 @@
 Architecture: any
 Section: libs
 Multi-Arch: foreign
-Depends: packagekit (= ${binary:Version}),
+Depends: python3-aptdaemon.pkcompat | packagekit-system-interface | packagekit (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
 Description: Provides PackageKit command-line tools
@@ -98,7 +100,7 @@
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends},
          ${shlibs:Depends}
-Recommends: packagekit (= ${binary:Version})
+Recommends: python3-aptdaemon.pkcompat | packagekit-system-interface | packagekit (= ${binary:Version})
 Description: Library for accessing PackageKit using GLib
  PackageKit allows performing simple software management tasks over a DBus
  interface e.g. refreshing the cache, updating, installing and removing
@@ -159,12 +161,14 @@
  The PackageKit GTK+ module allows any Pango application to install
  fonts from configured repositories using PackageKit.
 
-Package: gstreamer0.10-packagekit
-Architecture: any
-Section: libs
-Depends: packagekit (= ${binary:Version}),
-         ${misc:Depends},
-         ${shlibs:Depends}
+Package: gstreamer1.0-packagekit
+Architecture: any
+Section: libs
+Depends: python3-aptdaemon.pkcompat | packagekit-system-interface | packagekit (= ${binary:Version}),
+         ${misc:Depends},
+         ${shlibs:Depends}
+Conflicts: gstreamer0.10-packagekit
+Replaces: gstreamer0.10-packagekit
 Suggests: gnome-packagekit | apper
 Description: GStreamer plugin to install codecs using PackageKit
  PackageKit allows performing simple software management tasks over a DBus
@@ -177,7 +181,7 @@
 Package: browser-plugin-packagekit
 Architecture: any
 Section: web
-Depends: packagekit (= ${binary:Version}),
+Depends: python3-aptdaemon.pkcompat | packagekit-system-interface | packagekit (= ${binary:Version}),
          ${dist:Browser},
          ${misc:Depends},
          ${shlibs:Depends}
@@ -211,11 +215,10 @@
 Package: packagekit-backend-aptcc
 Architecture: any
 Depends: gdebi-core (>= 0.8.2),
-         python,
+         python3,
          python3-packagekit (= ${source:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
-XB-Python-Version: ${python:Versions}
 Recommends: packagekit (= ${binary:Version})
 Suggests: apt-xapian-index
 Description: APT backend for PackageKit
@@ -235,7 +238,6 @@
          smartpm-core,
          ${misc:Depends},
          ${shlibs:Depends}
-XB-Python-Version: ${python:Versions}
 Description: Smart backend for PackageKit
  PackageKit allows performing simple software management tasks over a DBus
  interface  e.g. refreshing the cache, updating, installing and removing
