=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,7 @@
 #!/usr/bin/make -f
 #export DH_VERBOSE=1
 
+DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
 DEB_HOST_ARCH_OS ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 
@@ -16,9 +17,15 @@
 		--enable-introspection \
 		--enable-aptcc --enable-smart \
 		--with-default-backend=aptcc \
-		--enable-browser-plugin \
 		--enable-gtk-module \
 		--enable-gstreamer-plugin
+
+ifneq (,$(filter $(DEB_HOST_ARCH), ppc64el))
+	EXTRA_DH_ARGS := -Nbrowser-plugin-packagekit
+else
+	PK_CONFIGURE_FLAGS += --enable-browser-plugin
+	EXTRA_DH_ARGS :=
+endif
 
 ifneq ($(DEB_HOST_ARCH_OS), linux)
 	PK_CONFIGURE_FLAGS += --disable-networkmanager \
@@ -30,16 +37,16 @@
 LDFLAGS += -Wl,--as-needed
 
 ifeq ($(shell dpkg-vendor --derives-from Ubuntu && echo yes), yes)
-	SUBSTVARS = -Vdist:Browser="firefox (>> 3.0) | www-browser"
+	SUBSTVARS = -Vdist:Browser="firefox (>> 8.0) | www-browser"
 else
-	SUBSTVARS = -Vdist:Browser="iceweasel (>> 3.0) | www-browser"
+	SUBSTVARS = -Vdist:Browser="iceweasel (>> 8.0) | www-browser"
 endif
 
 # Define install target dir
 INSTALLDIR = $(CURDIR)/debian/tmp
 
 %:
-	dh $@ --parallel --with python3 --with autoreconf
+	dh $@ --parallel --with python3 --with autoreconf $(EXTRA_DH_ARGS)
 
 extrainstallfiles-stamp:
 	grep -E -v 'lib/systemd|pk-offline-update|pk-trigger-offline-update|pk-clear-offline-update' debian/packagekit.install > debian/packagekit.install.kfreebsd
@@ -91,7 +98,7 @@
 	dh_gencontrol -- $(SUBSTVARS)
 
 override_dh_strip:
-	dh_strip --dbg-package=packagekit-dbg
+	dh_strip --dbg-package=packagekit-dbg $(EXTRA_DH_ARGS)
 
 override_dh_autoreconf:
 	dh_autoreconf --as-needed
