## packagekit 1.0.1

=== debian/changelog ===
packagekit (1.0.1-2) unstable; urgency=medium

  * Ship with pkla file for older PolicyKit versions (Closes: #766792)
  * Place temporary data in subdirectory in /tmp (Closes: #764928)
  * Don't try to ask any questions if we are running in
    non-interactive mode (Closes: #764926)
  * Drop obsolete configuration (Closes: #768420)
  * Recommend PackageKit session-interface providers for packages
    which need a session-interface (Closes: #770814)

 -- Matthias Klumpp <mak@debian.org>  Mon, 08 Dec 2014 18:44:28 +0100

packagekit (1.0.1-1) unstable; urgency=medium

  * New upstream release: 1.0.1
  * Drop patches: Applied upstream
  * Build package using dh-systemd to cleanup stuff on package removal
  * Drop Python3 backend bindings
  * Remove dist-upgrade notification support from aptcc
    - This only really worked on Ubuntu, and the functionality relies
      on outdated Python code and needs to be reimplemented in a
      sane way. There is no need to ship cruft with Jessie.

 -- Matthias Klumpp <mak@debian.org>  Tue, 21 Oct 2014 14:52:34 +0200

packagekit (1.0.0-3) unstable; urgency=medium

  * Don't explicitly pass systemd unit path to configure
    - Should resolve FTBFS on non-Linux ports

 -- Matthias Klumpp <mak@debian.org>  Wed, 08 Oct 2014 22:48:18 +0200

packagekit (1.0.0-2) unstable; urgency=medium

  * Add patch to fix systemd-dependent conditional compilation
    - Will hopefully resolve the FTBFS on !linux

 -- Matthias Klumpp <mak@debian.org>  Sat, 27 Sep 2014 08:20:48 +0200

packagekit (1.0.0-1) unstable; urgency=medium

  * New upstream release: 1.0.0
    - This release drops support for plugins
    - Aptcc is now the only viable backend for Debian, other
      backends have been removed upstream.
  * Drop patches: Applied upstream
  * Update symbols file
  * Update copyright
  * Bring back the PackageKit command-not-found support in a
    separate package.

 -- Matthias Klumpp <mak@debian.org>  Mon, 22 Sep 2014 18:02:58 +0200

packagekit (0.9.5-2) unstable; urgency=medium

  * Include missing header for plugin builds

 -- Matthias Klumpp <mak@debian.org>  Mon, 08 Sep 2014 19:34:44 +0200

packagekit (0.9.5-1) unstable; urgency=medium

  * Upload to unstable
  * New upstream release: 0.9.5
  * Drop all previous patches: Applied upstream
  * Drop defaults.diff: Debian's defaults are now upstream
  * Take patch from upstream to increase hardcoded transation limits
  * Update symbols file

 -- Matthias Klumpp <mak@debian.org>  Mon, 08 Sep 2014 17:28:40 +0200

packagekit (0.9.4-1) experimental; urgency=medium

  * New upstream release: 0.9.4
  * Drop build-dep on browsers, use npapi-sdk instead (Closes: #754373)
  * Drop patches which have been applied upstream
  * npapi-sdk.patch: Compile using npapi-sdk

 -- Matthias Klumpp <mak@debian.org>  Tue, 22 Jul 2014 14:26:14 +0200
