=== debian/control ===
--- 
+++ 
@@ -1,19 +1,18 @@
 Source: packagekit
 Section: admin
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Matthias Klumpp <matthias@tenstral.net>
+Maintainer: Matthias Klumpp <mak@debian.org>
 Uploaders: Julian Andres Klode <jak@debian.org>
 Vcs-Git: git://anonscm.debian.org/pkg-packagekit/packagekit.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-packagekit/packagekit.git
 Build-Depends: bash-completion,
                debhelper (>= 9.0.0),
                dh-autoreconf (>= 4),
+               dh-systemd (>= 1.16),
                docbook-utils,
                gir1.2-glib-2.0 (>= 1.36),
                gobject-introspection (>= 1.36),
                gtk-doc-tools,
-               firefox-dev (>= 30.0~) [!ppc64el],
                libapt-pkg-dev (>= 0.8.14),
                libarchive-dev,
                libgirepository1.0-dev (>= 1.36),
@@ -25,35 +24,33 @@
                libnspr4-dev (>= 4.8.6),
                libpolkit-gobject-1-dev,
                libsqlite3-dev,
-               libsystemd-dev (>= 214) [linux-any],
+               libsystemd-journal-dev (>= 214) [linux-any],
+               libsystemd-login-dev (>= 214) [linux-any],
                libtool,
                libxt-dev,
                network-manager-dev [linux-any],
+               npapi-sdk-dev,
                policykit-1,
-               python3 (>= 3.2),
                xmlto
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://www.packagekit.org
 
 Package: packagekit
 Architecture: any
 Multi-Arch: foreign
-Depends: libglib2.0-bin,
-         libpackagekit-glib2-16 (= ${binary:Version}),
-         packagekit-backend-aptcc (= ${binary:Version}),
+Depends: gdebi-core (>= 0.8.2),
+         libglib2.0-bin,
          policykit-1,
          ${misc:Depends},
          ${shlibs:Depends}
 Breaks: libpackagekit-glib2-14 (<= 0.7.6-4),
         libpackagekit-qt2-2 (<= 0.7.6-4),
-        packagekit-backend-apt (<< ${binary:Version}),
-        packagekit-backend-aptcc (<< ${binary:Version}),
-        packagekit-backend-smart (<< ${binary:Version}),
-        packagekit-offline-update (<< ${binary:Version}),
-        packagekit-plugin-click (<= 0.3.1)
-Provides: packagekit-system-interface
-Suggests: packagekit-backend-smart
+        packagekit-backend-apt (<< 1.0),
+        packagekit-backend-aptcc (<< 1.0),
+        packagekit-backend-smart (<< 1.0),
+        packagekit-offline-update (<< 1.0)
 Recommends: packagekit-tools
+Suggests: appstream-index
 Description: Provides a package management service
  PackageKit allows performing simple software management tasks over a DBus
  interface e.g. refreshing the cache, updating, installing and removing
@@ -72,7 +69,7 @@
 Architecture: any
 Section: libs
 Multi-Arch: foreign
-Depends: python3-aptdaemon.pkcompat | packagekit-system-interface | packagekit (= ${binary:Version}),
+Depends: packagekit (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
 Description: Provides PackageKit command-line tools
@@ -93,14 +90,14 @@
  .
  This package provides documentation for PackageKit.
 
-Package: libpackagekit-glib2-16
+Package: libpackagekit-glib2-18
 Architecture: any
 Section: libs
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends},
          ${shlibs:Depends}
-Recommends: python3-aptdaemon.pkcompat | packagekit-system-interface | packagekit (= ${binary:Version})
+Recommends: packagekit (= ${binary:Version})
 Description: Library for accessing PackageKit using GLib
  PackageKit allows performing simple software management tasks over a DBus
  interface e.g. refreshing the cache, updating, installing and removing
@@ -114,8 +111,8 @@
 Section: libdevel
 Architecture: any
 Depends: libdbus-1-dev,
-         libglib2.0-dev (>= 2.24),
-         libpackagekit-glib2-16 (= ${binary:Version}),
+         libglib2.0-dev (>= 2.26),
+         libpackagekit-glib2-18 (= ${binary:Version}),
          libsqlite3-dev,
          ${misc:Depends}
 Description: Library for accessing PackageKit using GLib (development files)
@@ -152,6 +149,7 @@
 Section: libs
 Depends: ${misc:Depends},
          ${shlibs:Depends}
+Recommends: gnome-packagekit-session | apper
 Breaks: gnome-packagekit (<< 3.2.1-1)
 Description: Install fonts automatically using PackageKit
  PackageKit allows performing simple software management tasks over a DBus
@@ -164,12 +162,12 @@
 Package: gstreamer1.0-packagekit
 Architecture: any
 Section: libs
-Depends: python3-aptdaemon.pkcompat | packagekit-system-interface | packagekit (= ${binary:Version}),
+Depends: packagekit (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
 Conflicts: gstreamer0.10-packagekit
 Replaces: gstreamer0.10-packagekit
-Suggests: gnome-packagekit | apper
+Recommends: gnome-packagekit-session | apper
 Description: GStreamer plugin to install codecs using PackageKit
  PackageKit allows performing simple software management tasks over a DBus
  interface e.g refreshing the cache, updating, installing and removing
@@ -181,11 +179,11 @@
 Package: browser-plugin-packagekit
 Architecture: any
 Section: web
-Depends: python3-aptdaemon.pkcompat | packagekit-system-interface | packagekit (= ${binary:Version}),
+Depends: packagekit (= ${binary:Version}),
          ${dist:Browser},
          ${misc:Depends},
          ${shlibs:Depends}
-Suggests: gnome-packagekit | apper
+Recommends: gnome-packagekit-session | apper
 Conflicts: mozilla-packagekit
 Replaces: mozilla-packagekit
 Description: Plugin to install missing plugins using PackageKit
@@ -195,55 +193,19 @@
  .
  This package provides a browser plugin.
 
-Package: python3-packagekit
-Architecture: all
-Section: python
-Depends: python3-dbus,
-         ${misc:Depends},
-         ${python3:Depends}
-Recommends: packagekit
-Description: PackageKit backend Python bindings
+Package: packagekit-command-not-found
+Architecture: any
+Section: misc
+Depends: packagekit (= ${binary:Version}),
+         ${misc:Depends},
+         ${shlibs:Depends}
+Description: Offer to install missing programs automatically
  PackageKit allows performing simple software management tasks over a DBus
  interface e.g refreshing the cache, updating, installing and removing
  software packages or searching for multimedia codecs and file handlers.
  .
- This package provides PackageKit Python bindings which are still needed
- by some PackageKit backends written in Python.
- If you want to use PackageKit from Python and don't write a backend, please
- use the GIRepository instead.
-
-Package: packagekit-backend-aptcc
-Architecture: any
-Depends: gdebi-core (>= 0.8.2),
-         python3,
-         python3-packagekit (= ${source:Version}),
-         ${misc:Depends},
-         ${shlibs:Depends}
-Recommends: packagekit (= ${binary:Version})
-Suggests: apt-xapian-index
-Description: APT backend for PackageKit
- PackageKit allows performing simple software management tasks over a DBus
- interface e.g. refreshing the cache, updating, installing and removing
- software packages or searching for multimedia codecs and file handlers.
- .
- This package allows using APT over a C++-based PackageKit backend to
- target systems with low memory.
- APT is the default package management tool of Debian and Ubuntu.
-
-Package: packagekit-backend-smart
-Architecture: any
-Depends: packagekit (= ${binary:Version}),
-         python,
-         python3-packagekit (= ${source:Version}),
-         smartpm-core,
-         ${misc:Depends},
-         ${shlibs:Depends}
-Description: Smart backend for PackageKit
- PackageKit allows performing simple software management tasks over a DBus
- interface  e.g. refreshing the cache, updating, installing and removing
- software packages or searching for multimedia codecs and file handlers.
- .
- This package allows using the smart package manager.
+ This package contains a simple handler for command_not_found that offers to
+ install missing packages on the command line using PackageKit.
 
 Package: packagekit-dbg
 Architecture: any
