=== debian/rules ===
--- 
+++ 
@@ -1,37 +1,26 @@
 #!/usr/bin/make -f
 #export DH_VERBOSE=1
 
-DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
 DEB_HOST_ARCH_OS ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 
 # Use this variable to set the PackageKit configure flags
 # We set aptcc as default backend
 PK_CONFIGURE_FLAGS = --libexecdir=/usr/lib/packagekit \
-		--with-systemdsystemunitdir=/lib/systemd/system \
 		--disable-static \
 		--disable-local \
-		--disable-command-not-found \
+		--disable-silent-rules \
 		--disable-cron \
-		--enable-python3 \
 		--enable-introspection \
-		--enable-aptcc --enable-smart \
-		--with-default-backend=aptcc \
+		--enable-aptcc \
+		--enable-browser-plugin \
 		--enable-gtk-module \
 		--enable-gstreamer-plugin
-
-ifneq (,$(filter $(DEB_HOST_ARCH), ppc64el))
-	EXTRA_DH_ARGS := -Nbrowser-plugin-packagekit
-else
-	PK_CONFIGURE_FLAGS += --enable-browser-plugin
-	EXTRA_DH_ARGS :=
-endif
 
 ifneq ($(DEB_HOST_ARCH_OS), linux)
 	PK_CONFIGURE_FLAGS += --disable-networkmanager \
 		--disable-connman \
-		--disable-systemd \
-		--disable-systemd-updates
+		--disable-systemd
 endif
 
 LDFLAGS += -Wl,--as-needed
@@ -46,7 +35,7 @@
 INSTALLDIR = $(CURDIR)/debian/tmp
 
 %:
-	dh $@ --parallel --with python3 --with autoreconf $(EXTRA_DH_ARGS)
+	dh $@ --parallel --with autoreconf --with systemd
 
 extrainstallfiles-stamp:
 	grep -E -v 'lib/systemd|pk-offline-update|pk-trigger-offline-update|pk-clear-offline-update' debian/packagekit.install > debian/packagekit.install.kfreebsd
@@ -68,13 +57,13 @@
 	cp $(CURDIR)/docs/api.orig/html/introduction* $(INSTALLDIR)/usr/share/gtk-doc/html/PackageKit/
 
 	# These files do not need to be installed
-	rm -f  $(INSTALLDIR)/usr/lib/$(DEB_HOST_MULTIARCH)/packagekit-backend/*.la
-	rm -f  $(INSTALLDIR)/usr/lib/$(DEB_HOST_MULTIARCH)/mozilla/plugins/packagekit-plugin.la
-	rm -f  $(INSTALLDIR)/usr/lib/$(DEB_HOST_MULTIARCH)/gtk-?.0/modules/*.la
-	rm -f  $(INSTALLDIR)/usr/lib/$(DEB_HOST_MULTIARCH)/packagekit-plugins/*.la
-	rm -f  $(INSTALLDIR)/usr/lib/$(DEB_HOST_MULTIARCH)/*.la
-	rm -f  $(INSTALLDIR)/usr/bin/packagekit-bugreport.sh
-	rm -f  $(INSTALLDIR)/var/lib/PackageKit/transactions.db
+	rm -f $(INSTALLDIR)/usr/lib/$(DEB_HOST_MULTIARCH)/packagekit-backend/*.la
+	rm -f $(INSTALLDIR)/usr/lib/$(DEB_HOST_MULTIARCH)/mozilla/plugins/packagekit-plugin.la
+	rm -f $(INSTALLDIR)/usr/lib/$(DEB_HOST_MULTIARCH)/gtk-?.0/modules/*.la
+	rm -f $(INSTALLDIR)/usr/lib/$(DEB_HOST_MULTIARCH)/*.la
+	rm -f $(INSTALLDIR)/usr/share/PackageKit/pk-upgrade-distro.sh
+	rm -f $(INSTALLDIR)/usr/bin/packagekit-bugreport.sh
+	rm -f $(INSTALLDIR)/var/lib/PackageKit/transactions.db
 
 override_dh_install: extrainstallfiles-stamp
 	dh_install --list-missing
@@ -98,7 +87,15 @@
 	dh_gencontrol -- $(SUBSTVARS)
 
 override_dh_strip:
-	dh_strip --dbg-package=packagekit-dbg $(EXTRA_DH_ARGS)
+	dh_strip --dbg-package=packagekit-dbg
 
 override_dh_autoreconf:
 	dh_autoreconf --as-needed
+
+override_dh_systemd_enable:
+	# the offline-updates service is enabled/disabled by PackageKit in a different way.
+	# but we do want to clear leftover symlinks upon removal of the package.
+	dh_systemd_enable --no-enable
+
+override_dh_systemd_start:
+	dh_systemd_start --no-start
