=== debian/control ===
--- 
+++ 
@@ -24,8 +24,7 @@
                libnspr4-dev (>= 4.8.6),
                libpolkit-gobject-1-dev,
                libsqlite3-dev,
-               libsystemd-journal-dev (>= 214) [linux-any],
-               libsystemd-login-dev (>= 214) [linux-any],
+               libsystemd-dev (>= 214) [linux-any],
                libtool,
                libxt-dev,
                network-manager-dev [linux-any],
@@ -33,7 +32,7 @@
                policykit-1,
                xmlto
 Standards-Version: 3.9.6
-Homepage: http://www.packagekit.org
+Homepage: http://www.freedesktop.org/software/PackageKit/
 
 Package: packagekit
 Architecture: any
