=== debian/control ===
--- 
+++ 
@@ -30,6 +30,7 @@
                network-manager-dev [linux-any],
                npapi-sdk-dev,
                policykit-1,
+               valac,
                xmlto
 Standards-Version: 3.9.6
 Homepage: http://www.freedesktop.org/software/PackageKit/
@@ -66,7 +67,6 @@
 
 Package: packagekit-tools
 Architecture: any
-Section: libs
 Multi-Arch: foreign
 Depends: packagekit (= ${binary:Version}),
          ${misc:Depends},
@@ -148,7 +148,7 @@
 Section: libs
 Depends: ${misc:Depends},
          ${shlibs:Depends}
-Recommends: gnome-packagekit-session | apper
+Recommends: gnome-software | apper
 Breaks: gnome-packagekit (<< 3.2.1-1)
 Description: Install fonts automatically using PackageKit
  PackageKit allows performing simple software management tasks over a DBus
@@ -166,7 +166,7 @@
          ${shlibs:Depends}
 Conflicts: gstreamer0.10-packagekit
 Replaces: gstreamer0.10-packagekit
-Recommends: gnome-packagekit-session | apper
+Recommends: gnome-software | apper
 Description: GStreamer plugin to install codecs using PackageKit
  PackageKit allows performing simple software management tasks over a DBus
  interface e.g refreshing the cache, updating, installing and removing
@@ -182,7 +182,7 @@
          ${dist:Browser},
          ${misc:Depends},
          ${shlibs:Depends}
-Recommends: gnome-packagekit-session | apper
+Recommends: gnome-software | apper
 Conflicts: mozilla-packagekit
 Replaces: mozilla-packagekit
 Description: Plugin to install missing plugins using PackageKit
