=== debian/rules ===
--- 
+++ 
@@ -26,6 +26,8 @@
 LDFLAGS += -Wl,--as-needed
 
 ifeq ($(shell dpkg-vendor --derives-from Ubuntu && echo yes), yes)
+	SUBSTVARS = -Vdist:Browser="firefox (>> 8.0) | www-browser"
+else ifeq ($(shell dpkg-vendor --derives-from Tanglu && echo yes), yes)
 	SUBSTVARS = -Vdist:Browser="firefox (>> 8.0) | www-browser"
 else
 	SUBSTVARS = -Vdist:Browser="iceweasel (>> 8.0) | www-browser"
@@ -93,7 +95,7 @@
 	dh_autoreconf --as-needed
 
 override_dh_systemd_enable:
-	# the offline-updates service is enabled/disabled by PackageKit in a different way.
+	# the offline-updates service is enabled by tools like GNOME-Software when they need it,
 	# but we do want to clear leftover symlinks upon removal of the package.
 	dh_systemd_enable --no-enable
